Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Attributes | List of all members
agora::rtc::ILocalVideoTrackEx::AttachInfo Struct Reference

`#include <video_track_i.h>`

## Public Attributes
uint32_t | uid
uint32_t | cid
VideoNodeRtpSink * | network
WeakPipelineBuilder | builder
uint64_t | stats_space
CongestionControlType | cc_type
bool | enable_two_bytes_extension
webrtc::RsfecConfig | rsfec_config
std::string | enable_hw_encoder
VideoNodeEncoderEx::OPSParametersCollection | ops_parameters
std::shared_ptr< webrtc::IAutoAdjustHarq > | auto_adjust_harq
int | harq_version
int32_t | fec_outside_bandwidth_ratio
bool | enable_minor_stream_vqc = false
bool | enable_minor_stream_fec = false
bool | enable_minor_stream_fec_outside_ratio = false
bool | enable_minor_stream_intra_request = false
int | fec_method
std::string | switch_to_rq
bool | enable_rq_classic_method
int | fec_fix_rate
bool | enable_check_for_disable_fec
bool | enable_quick_intra_high_fec = false
absl::optional< int > | max_inflight_frame_count_pre_processsing
bool | enable_video_send_diagnose
VideoNegotiatedCodecCaps | negotiated_video_codec_caps
int | hw_capture_delay
uint32_t | sync_peer_uid
Optional< SIMULCAST_STREAM_MODE > | cfg_simulcast_stream_mode
bool | support_higher_standard_bitrate
VideoQoEAnalyzerParameter | qoe_analyzer_parameters
std::unordered_map< uint8_t, std::string > | fec_capabilities
int | prefer_fec_method = -1
int | fec_mode = 0
Optional< bool > | response_quick_intra_request

## Member Data Documentation

## ◆ uid

uint32_t agora::rtc::ILocalVideoTrackEx::AttachInfo::uid

## ◆ cid

uint32_t agora::rtc::ILocalVideoTrackEx::AttachInfo::cid

## ◆ network

VideoNodeRtpSink* agora::rtc::ILocalVideoTrackEx::AttachInfo::network

## ◆ builder

WeakPipelineBuilder agora::rtc::ILocalVideoTrackEx::AttachInfo::builder

## ◆ stats_space

uint64_t agora::rtc::ILocalVideoTrackEx::AttachInfo::stats_space

## ◆ cc_type

CongestionControlType agora::rtc::ILocalVideoTrackEx::AttachInfo::cc_type

## ◆ enable_two_bytes_extension

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_two_bytes_extension

## ◆ rsfec_config

webrtc::RsfecConfig agora::rtc::ILocalVideoTrackEx::AttachInfo::rsfec_config

## ◆ enable_hw_encoder

std::string agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_hw_encoder

## ◆ ops_parameters

VideoNodeEncoderEx::OPSParametersCollection agora::rtc::ILocalVideoTrackEx::AttachInfo::ops_parameters

## ◆ auto_adjust_harq

std::shared_ptr<webrtc::IAutoAdjustHarq> agora::rtc::ILocalVideoTrackEx::AttachInfo::auto_adjust_harq

## ◆ harq_version

int agora::rtc::ILocalVideoTrackEx::AttachInfo::harq_version

## ◆ fec_outside_bandwidth_ratio

int32_t agora::rtc::ILocalVideoTrackEx::AttachInfo::fec_outside_bandwidth_ratio

## ◆ enable_minor_stream_vqc

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_minor_stream_vqc = false

## ◆ enable_minor_stream_fec

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_minor_stream_fec = false

## ◆ enable_minor_stream_fec_outside_ratio

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_minor_stream_fec_outside_ratio = false

## ◆ enable_minor_stream_intra_request

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_minor_stream_intra_request = false

## ◆ fec_method

int agora::rtc::ILocalVideoTrackEx::AttachInfo::fec_method

## ◆ switch_to_rq

std::string agora::rtc::ILocalVideoTrackEx::AttachInfo::switch_to_rq

## ◆ enable_rq_classic_method

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_rq_classic_method

## ◆ fec_fix_rate

int agora::rtc::ILocalVideoTrackEx::AttachInfo::fec_fix_rate

## ◆ enable_check_for_disable_fec

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_check_for_disable_fec

## ◆ enable_quick_intra_high_fec

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_quick_intra_high_fec = false

## ◆ max_inflight_frame_count_pre_processsing

absl::optional<int> agora::rtc::ILocalVideoTrackEx::AttachInfo::max_inflight_frame_count_pre_processsing

## ◆ enable_video_send_diagnose

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::enable_video_send_diagnose

## ◆ negotiated_video_codec_caps

VideoNegotiatedCodecCaps agora::rtc::ILocalVideoTrackEx::AttachInfo::negotiated_video_codec_caps

## ◆ hw_capture_delay

int agora::rtc::ILocalVideoTrackEx::AttachInfo::hw_capture_delay

## ◆ sync_peer_uid

uint32_t agora::rtc::ILocalVideoTrackEx::AttachInfo::sync_peer_uid

## ◆ cfg_simulcast_stream_mode

Optional<SIMULCAST_STREAM_MODE> agora::rtc::ILocalVideoTrackEx::AttachInfo::cfg_simulcast_stream_mode

## ◆ support_higher_standard_bitrate

bool agora::rtc::ILocalVideoTrackEx::AttachInfo::support_higher_standard_bitrate

## ◆ qoe_analyzer_parameters

VideoQoEAnalyzerParameter agora::rtc::ILocalVideoTrackEx::AttachInfo::qoe_analyzer_parameters

## ◆ fec_capabilities

std::unordered_map<uint8_t, std::string> agora::rtc::ILocalVideoTrackEx::AttachInfo::fec_capabilities

## ◆ prefer_fec_method

int agora::rtc::ILocalVideoTrackEx::AttachInfo::prefer_fec_method = -1

## ◆ fec_mode

int agora::rtc::ILocalVideoTrackEx::AttachInfo::fec_mode = 0

## ◆ response_quick_intra_request

Optional<bool> agora::rtc::ILocalVideoTrackEx::AttachInfo::response_quick_intra_request